Foros del Web » Programando para Internet » PHP »

Problemas con PHP4 --> PHP5... ¿?

Estas en el tema de Problemas con PHP4 --> PHP5... ¿? en el foro de PHP en Foros del Web. Buenas amigos... para trabajar mis proyectos de la U tenía instalado en mi PC el AppServ 2.3 que me instalaba entre otras cosas el PHP4 ...
  #1 (permalink)  
Antiguo 20/05/2006, 22:53
 
Fecha de Ingreso: mayo-2003
Mensajes: 174
Antigüedad: 14 años, 7 meses
Puntos: 0
Problemas con PHP4 --> PHP5... ¿?

Buenas amigos... para trabajar mis proyectos de la U tenía instalado en mi PC el AppServ 2.3 que me instalaba entre otras cosas el PHP4 en el cual trabajaba sin problemas. Me quise actualizar e instale el AppServ 2.5.5 que instala el PHP5 y cuando quise ver unos de mis trabajos me arrojaba el siguiente mensaje de error:

Warning: mysql_connect() [function.mysql-connect]: Access denied for user 'nobody'@'localhost' (using password: NO) in D:\AppServ\www\http\xxxxxxxx\conex.php on line 4
Error conectando la base de datos


Este es el código de conex.php

Código PHP:
<?
function Conectarse()
{
if (!(
$link=mysql_connect("localhost","nobody","")))
{
echo 
"Error conectando la base de datos";
exit();
}
if(!
mysql_select_db("name_DB",$link))
{
echo 
"Error selecionando la base de datos";
exit();
}
return 
$link;
}
?>
¿Será la migración del 4 al 5? no sé, espero que puedan darme una manito... gracias .
  #2 (permalink)  
Antiguo 20/05/2006, 23:21
 
Fecha de Ingreso: mayo-2006
Mensajes: 74
Antigüedad: 11 años, 7 meses
Puntos: 0
Lo que te quiere decir ella es que el usuario esta mal y no puede conectarse a la base de datos revisa a ver si este usuario ya esta creado o si esta bn puest el nombre :S
__________________
Www.ZeroXDesign.Com - Diseño De Webs - Alojamiento - Mantenimiento Y Mucho Mas.

Con los mejores precios y la mejor calidad de la red.
  #3 (permalink)  
Antiguo 21/05/2006, 00:39
Avatar de vipcove1
(Desactivado)
 
Fecha de Ingreso: septiembre-2005
Mensajes: 17
Antigüedad: 12 años, 2 meses
Puntos: 0
lo que creo que ocurre es lo siguien, el la version de mysql 5 el sifrado de la contraseña fue cambiado de 32 bit a 64 bit lo que hace incompatible la contraceña de un usuario de mysql hasta la version 4 en la version 5, el php 5 ya biene con el estandar de la contraseña a 64 bit, lo que tines es que buscar la documentacion para cambiar esta opcion en php5
  #4 (permalink)  
Antiguo 21/05/2006, 13:09
 
Fecha de Ingreso: mayo-2003
Mensajes: 174
Antigüedad: 14 años, 7 meses
Puntos: 0
OK... veamos que pasa con esto, gracias.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 06:18.